<?php

namespace App\Entity;


use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;


class Mission
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 30)]
    private ?string $label = null;

    #[ORM\ManyToOne(targetEntity: Requirement::class, inversedBy: 'mission')]
    private Collection $requirements;

    #[ORM\OneToMany(targetEntity: Employee::class, mappedBy: 'mission')]
    private ?employee $employee = null;

    #[ORM\OneToMany(targetEntity: Ride::class, mappedBy: 'mission')]
    private ?Ride $ride;

    #[ORM\ManyToOne(targetEntity: MissionCategory::class, inversedBy: 'mission')]
    private Collection $missionCategory;

    public function getRequirements(): Collection
    {
        return $this->requirements;
    }

    public function setRequirements(Collection $requirements): void
    {
        $this->requirements = $requirements;
    }

    public function getEmployeemissions(): Collection
    {
        return $this->employeemissions;
    }

    public function setEmployeemissions(Collection $employeemissions): void
    {
        $this->employeemissions = $employeemissions;
    }


    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(int $id): static
    {
        $this->id = $id;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(string $label): static
    {
        $this->label = $label;

        return $this;
    }

    public function getEmployee(): ?employee
    {
        return $this->employee;
    }

    public function setEmployee(?employee $employee): void
    {
        $this->employee = $employee;
    }

    public function getCategories(): Collection
    {
        return $this->categories;
    }

    public function setCategories(Collection $categories): void
    {
        $this->categories = $categories;
    }

    public function getRide(): ?Ride
    {
        return $this->ride;
    }

    public function setRide(?Ride $ride): void
    {
        $this->ride = $ride;
    }

    public function getMissionCategory(): Collection
    {
        return $this->missionCategory;
    }

    public function setMissionCategory(Collection $missionCategory): void
    {
        $this->missionCategory = $missionCategory;
    }



}


